mutation VerifyAccount($verifyAccountInput: VerifyAccountInput!) {
verifyAccount(verifyAccountInput: $verifyAccountInput) {
errors {
... on InternalServiceError {
dateTimeUtc
errorDateTime
message
processorResponseCode
transactionId
}
... on AcceptorNotFoundError {
dateTimeUtc
errorDateTime
message
organizationId
presenterId
}
... on RuleInViolationError {
advice
dateTimeUtc
errorDateTime
explanationOfRule
message
}
... on SyntaxOnNetworkResponseError {
attemptedNetwork
dateTimeUtc
errorDateTime
message
processorResponseCode
}
... on TimeoutOnNetworkResponseError {
attemptedNetwork
dateTimeUtc
errorDateTime
message
processorResponseCode
}
... on ValidationFailureError {
dateTimeUtc
errorDateTime
fieldName
fieldPath
message
}
... on UnknownCardError {
dateTimeUtc
errorDateTime
message
processorResponseCode
transactionId
}
... on TokenNotFoundError {
dateTimeUtc
errorDateTime
message
processorResponseCode
transactionId
}
... on InvalidTokenError {
dateTimeUtc
deTokenizedPaymentMethodType
errorDateTime
expectedPaymentMethodType
message
}
... on RouteNotFoundError {
boardedPaymentBrandsForAcceptor
dateTimeUtc
errorDateTime
message
paymentBrand
}
}
verifyAccountResponse {
activityDate
advice {
networkAdviceCode
}
avsResponseDetails {
avsResponseCode
networkCode
responseType
}
businessApplicationId
cardDetails {
last4
paymentBrand
}
cardSecurityCodeResponseDetails {
networkCode
processorCode
}
duration
isDuplicateRequest
message
nameVerificationResponseDetails {
processorCode
}
networkResponseDetails {
networkResponseCode
processorResponseCode
}
networkTransactionId
paymentId
processorResponseCode
sanitizedFields {
fieldName
fieldPath
originalValue
reason
sanitizedValue
}
systemTraceAuditNumber
timestampUtc
tokenDetails {
token
tokenizedPan
}
transactionId
}
}
}
{
"verifyAccountInput": {
"acceptorId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"channel": "ECOMMERCE",
"paymentMethodDetails": {
"acquirerTokenDetails": "example",
"cardWithPanDetails": "example",
"networkTokenPassThroughDetails": "example"
},
"transactionReference": "example"
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation VerifyAccount($verifyAccountInput: VerifyAccountInput!) {\n verifyAccount(verifyAccountInput: $verifyAccountInput) {\n errors {\n ... on InternalServiceError {\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n transactionId\n }\n ... on AcceptorNotFoundError {\n dateTimeUtc\n errorDateTime\n message\n organizationId\n presenterId\n }\n ... on RuleInViolationError {\n advice\n dateTimeUtc\n errorDateTime\n explanationOfRule\n message\n }\n ... on SyntaxOnNetworkResponseError {\n attemptedNetwork\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n }\n ... on TimeoutOnNetworkResponseError {\n attemptedNetwork\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n }\n ... on ValidationFailureError {\n dateTimeUtc\n errorDateTime\n fieldName\n fieldPath\n message\n }\n ... on UnknownCardError {\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n transactionId\n }\n ... on TokenNotFoundError {\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n transactionId\n }\n ... on InvalidTokenError {\n dateTimeUtc\n deTokenizedPaymentMethodType\n errorDateTime\n expectedPaymentMethodType\n message\n }\n ... on RouteNotFoundError {\n boardedPaymentBrandsForAcceptor\n dateTimeUtc\n errorDateTime\n message\n paymentBrand\n }\n }\n verifyAccountResponse {\n activityDate\n advice {\n networkAdviceCode\n }\n avsResponseDetails {\n avsResponseCode\n networkCode\n responseType\n }\n businessApplicationId\n cardDetails {\n last4\n paymentBrand\n }\n cardSecurityCodeResponseDetails {\n networkCode\n processorCode\n }\n duration\n isDuplicateRequest\n message\n nameVerificationResponseDetails {\n processorCode\n }\n networkResponseDetails {\n networkResponseCode\n processorResponseCode\n }\n networkTransactionId\n paymentId\n processorResponseCode\n sanitizedFields {\n fieldName\n fieldPath\n originalValue\n reason\n sanitizedValue\n }\n systemTraceAuditNumber\n timestampUtc\n tokenDetails {\n token\n tokenizedPan\n }\n transactionId\n }\n }\n}",
"variables": {
"verifyAccountInput": {
"acceptorId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"channel": "ECOMMERCE",
"paymentMethodDetails": {
"acquirerTokenDetails": "example",
"cardWithPanDetails": "example",
"networkTokenPassThroughDetails": "example"
},
"transactionReference": "example"
}
}
}'
{
"data": {
"verifyAccount": {
"errors": [
{
"__typename": "InternalServiceError",
"dateTimeUtc": "2026-01-15T14:30:00Z",
"errorDateTime": "2026-01-15T14:30:00Z",
"message": "example",
"processorResponseCode": "A0000",
"transactionId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}
],
"verifyAccountResponse": {
"activityDate": "2026-01-15",
"advice": {
"networkAdviceCode": "example"
},
"avsResponseDetails": {
"avsResponseCode": "ADDRESS_MATCHED_POSTALCODE_MATCHED",
"networkCode": "example",
"responseType": "FULL_MATCH"
},
"businessApplicationId": "CB",
"cardDetails": {
"last4": "1234",
"paymentBrand": "VISA"
},
"cardSecurityCodeResponseDetails": {
"networkCode": "example",
"processorCode": "MATCH"
},
"duration": 0,
"isDuplicateRequest": true,
"message": "example",
"nameVerificationResponseDetails": {
"processorCode": "MATCH"
},
"networkResponseDetails": {
"networkResponseCode": "example",
"processorResponseCode": "A0000"
},
"networkTransactionId": "example",
"paymentId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"processorResponseCode": "A0000",
"sanitizedFields": [
{
"fieldName": "example",
"fieldPath": "example",
"originalValue": "example",
"reason": "example",
"sanitizedValue": "example"
}
],
"systemTraceAuditNumber": "example",
"timestampUtc": "2026-01-15T14:30:00Z",
"tokenDetails": {
"token": "example",
"tokenizedPan": "example"
},
"transactionId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901"
}
}
}
}
Transaction Processing
verifyAccount
Run an account verification request and return a payload that includes details of the resulting transaction.
mutation VerifyAccount($verifyAccountInput: VerifyAccountInput!) {
verifyAccount(verifyAccountInput: $verifyAccountInput) {
errors {
... on InternalServiceError {
dateTimeUtc
errorDateTime
message
processorResponseCode
transactionId
}
... on AcceptorNotFoundError {
dateTimeUtc
errorDateTime
message
organizationId
presenterId
}
... on RuleInViolationError {
advice
dateTimeUtc
errorDateTime
explanationOfRule
message
}
... on SyntaxOnNetworkResponseError {
attemptedNetwork
dateTimeUtc
errorDateTime
message
processorResponseCode
}
... on TimeoutOnNetworkResponseError {
attemptedNetwork
dateTimeUtc
errorDateTime
message
processorResponseCode
}
... on ValidationFailureError {
dateTimeUtc
errorDateTime
fieldName
fieldPath
message
}
... on UnknownCardError {
dateTimeUtc
errorDateTime
message
processorResponseCode
transactionId
}
... on TokenNotFoundError {
dateTimeUtc
errorDateTime
message
processorResponseCode
transactionId
}
... on InvalidTokenError {
dateTimeUtc
deTokenizedPaymentMethodType
errorDateTime
expectedPaymentMethodType
message
}
... on RouteNotFoundError {
boardedPaymentBrandsForAcceptor
dateTimeUtc
errorDateTime
message
paymentBrand
}
}
verifyAccountResponse {
activityDate
advice {
networkAdviceCode
}
avsResponseDetails {
avsResponseCode
networkCode
responseType
}
businessApplicationId
cardDetails {
last4
paymentBrand
}
cardSecurityCodeResponseDetails {
networkCode
processorCode
}
duration
isDuplicateRequest
message
nameVerificationResponseDetails {
processorCode
}
networkResponseDetails {
networkResponseCode
processorResponseCode
}
networkTransactionId
paymentId
processorResponseCode
sanitizedFields {
fieldName
fieldPath
originalValue
reason
sanitizedValue
}
systemTraceAuditNumber
timestampUtc
tokenDetails {
token
tokenizedPan
}
transactionId
}
}
}
{
"verifyAccountInput": {
"acceptorId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"channel": "ECOMMERCE",
"paymentMethodDetails": {
"acquirerTokenDetails": "example",
"cardWithPanDetails": "example",
"networkTokenPassThroughDetails": "example"
},
"transactionReference": "example"
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation VerifyAccount($verifyAccountInput: VerifyAccountInput!) {\n verifyAccount(verifyAccountInput: $verifyAccountInput) {\n errors {\n ... on InternalServiceError {\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n transactionId\n }\n ... on AcceptorNotFoundError {\n dateTimeUtc\n errorDateTime\n message\n organizationId\n presenterId\n }\n ... on RuleInViolationError {\n advice\n dateTimeUtc\n errorDateTime\n explanationOfRule\n message\n }\n ... on SyntaxOnNetworkResponseError {\n attemptedNetwork\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n }\n ... on TimeoutOnNetworkResponseError {\n attemptedNetwork\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n }\n ... on ValidationFailureError {\n dateTimeUtc\n errorDateTime\n fieldName\n fieldPath\n message\n }\n ... on UnknownCardError {\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n transactionId\n }\n ... on TokenNotFoundError {\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n transactionId\n }\n ... on InvalidTokenError {\n dateTimeUtc\n deTokenizedPaymentMethodType\n errorDateTime\n expectedPaymentMethodType\n message\n }\n ... on RouteNotFoundError {\n boardedPaymentBrandsForAcceptor\n dateTimeUtc\n errorDateTime\n message\n paymentBrand\n }\n }\n verifyAccountResponse {\n activityDate\n advice {\n networkAdviceCode\n }\n avsResponseDetails {\n avsResponseCode\n networkCode\n responseType\n }\n businessApplicationId\n cardDetails {\n last4\n paymentBrand\n }\n cardSecurityCodeResponseDetails {\n networkCode\n processorCode\n }\n duration\n isDuplicateRequest\n message\n nameVerificationResponseDetails {\n processorCode\n }\n networkResponseDetails {\n networkResponseCode\n processorResponseCode\n }\n networkTransactionId\n paymentId\n processorResponseCode\n sanitizedFields {\n fieldName\n fieldPath\n originalValue\n reason\n sanitizedValue\n }\n systemTraceAuditNumber\n timestampUtc\n tokenDetails {\n token\n tokenizedPan\n }\n transactionId\n }\n }\n}",
"variables": {
"verifyAccountInput": {
"acceptorId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"channel": "ECOMMERCE",
"paymentMethodDetails": {
"acquirerTokenDetails": "example",
"cardWithPanDetails": "example",
"networkTokenPassThroughDetails": "example"
},
"transactionReference": "example"
}
}
}'
{
"data": {
"verifyAccount": {
"errors": [
{
"__typename": "InternalServiceError",
"dateTimeUtc": "2026-01-15T14:30:00Z",
"errorDateTime": "2026-01-15T14:30:00Z",
"message": "example",
"processorResponseCode": "A0000",
"transactionId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}
],
"verifyAccountResponse": {
"activityDate": "2026-01-15",
"advice": {
"networkAdviceCode": "example"
},
"avsResponseDetails": {
"avsResponseCode": "ADDRESS_MATCHED_POSTALCODE_MATCHED",
"networkCode": "example",
"responseType": "FULL_MATCH"
},
"businessApplicationId": "CB",
"cardDetails": {
"last4": "1234",
"paymentBrand": "VISA"
},
"cardSecurityCodeResponseDetails": {
"networkCode": "example",
"processorCode": "MATCH"
},
"duration": 0,
"isDuplicateRequest": true,
"message": "example",
"nameVerificationResponseDetails": {
"processorCode": "MATCH"
},
"networkResponseDetails": {
"networkResponseCode": "example",
"processorResponseCode": "A0000"
},
"networkTransactionId": "example",
"paymentId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"processorResponseCode": "A0000",
"sanitizedFields": [
{
"fieldName": "example",
"fieldPath": "example",
"originalValue": "example",
"reason": "example",
"sanitizedValue": "example"
}
],
"systemTraceAuditNumber": "example",
"timestampUtc": "2026-01-15T14:30:00Z",
"tokenDetails": {
"token": "example",
"tokenizedPan": "example"
},
"transactionId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901"
}
}
}
}
Mutation
Arguments
VerifyAccountInput!
required
Show child attributes
Show child attributes
UUID!
required
A unique, 36 character identifier created by Tesouro and assigned to the entity providing the goods or services to the cardholder, such as a Merchant, a Submerchant of a Payment Facilitator, a Seller within a Marketplace, or a Biller of a Consumer Bill Payment Service Provider (CBPS). Historically, processors have called this identifier the Merchant ID (or MID), Outlet ID, or Customer number.
AddressDetailsInput
The billing address associated with the payment method used on the transaction.See AddressDetailsInput
PaymentChannel!
required
How the consumer interacts with the acceptor. Defaults to ECOMMERCE if not provided.See PaymentChannel
OrderDetailsInput
Details pertaining to the customer’s order.See OrderDetailsInput
VerifyAccountPaymentMethodInput!
required
Details regarding the payment method.
Show child attributes
Show child attributes
VerifyAccountAcquirerTokenDetailsInput
Show child attributes
Show child attributes
NumericMonth!
required
The two-digit month (MM) of the card’s expiration date.
NumericYear4Digits!
required
The four-digit year (YYYY) of the card’s expiration date.
SecurityCodeInput!
required
The 3 digit number (or 4 digit if American Express) found on the customer’s card, or the specific reason if the security code is omitted from the request.See SecurityCodeInput
String
The value of the acquirer token.
String
deprecated
The value of the acquirer token.Deprecated: Use token instead.
WalletType
The wallet provider for this payment method. Null if not applicable.See WalletType
VerifyAccountCardWithPanDetailsInput
Show child attributes
Show child attributes
CardNumber!
required
The card number used in processing the transaction. This is a full PAN.
NumericMonth!
required
The two-digit month (MM) of the card’s expiration date.
NumericYear4Digits!
required
The four-digit year (YYYY) of the card’s expiration date.
PanEntryChannel
deprecated
[DEPRECATED: Use root level channel instead] The card-present or card-not-present channel from which the customer makes a payment, e.g., In-store using a physical card terminal, online, or over the phone or through mail orderDeprecated: Use root level Channel instead.See PanEntryChannel
PanEntryMode!
required
The means by which the card number was entered.See PanEntryMode
SecurityCodeInput!
required
The 3 digit number (or 4 digit if American Express) found on the customer’s card, or the specific reason if the security code is omitted from the request.See SecurityCodeInput
StorageIntent
Optional field to be used on customer initiated transactions. Indicates that the presenter intends to store this payment method on file to be used with future merchant initiated transactions.
Show Possible enum values
Show Possible enum values
enum
The presenter has received consent from the cardholder to store their card details on file.
WalletType
The wallet provider for this payment method. Null if not applicable.See WalletType
VerifyAccountNetworkTokenPassThroughDetailsInput
Show child attributes
Show child attributes
String!
required
The cryptogram generated by the token provider to be used on the transaction.
String
Ecommerce indicator provided by the wallet provider.
NumericMonth!
required
The two-digit month (MM) of the card’s expiration date.
NumericYear4Digits!
required
The four-digit year (YYYY) of the card’s expiration date.
SecurityCodeInput
deprecated
[DEPRECATED: Network tokens do not have security codes, so this will be removed.] The 3 digit number (or 4 digit if American Express) found on the customer’s card, or the specific reason if the security code is omitted from the request.Deprecated: Network tokens do not have security codes, so this will be removed.See SecurityCodeInput
String!
required
The value of the network token.
WalletType
The wallet provider for this payment method. Null if not applicable.See WalletType
Max36Text!
required
A unique identifier created by the entity holding the direct relationship with the Acceptor, and used by that entity for reconciliation and transaction search. Tesouro uses this identifier to manage idempotency.
Return type
VerifyAccountPayload!
[VerifyAccountError!]
Show Possible types
Show Possible types
Show InternalServiceError
Show InternalServiceError
DateTime!
required
deprecated
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.Deprecated: Use errorDateTime instead.
DateTime!
required
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.
String!
required
A human readable description of the error.
ProcessorResponseCode!
required
Tesouro response code indicating the error.See ProcessorResponseCode
UUID!
required
Unique ID for the transaction assigned by Tesouro.
Show AcceptorNotFoundError
Show AcceptorNotFoundError
This occurs when an acceptor cannot be found because it does not exist or because it is not presented by the submitted presenter.
DateTime!
required
deprecated
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.Deprecated: Use errorDateTime instead.
DateTime!
required
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.
String!
required
A human readable description of the error.
UUID!
required
The organization Id presented with this transaction.
UUID!
required
The presenter Id presented with this transaction.
ProcessorResponseCode!
required
Tesouro response code indicating the error.See ProcessorResponseCode
UUID!
required
Unique ID for the transaction assigned by Tesouro.
UUID!
required
The invalid acceptor Id.
Show RuleInViolationError
Show RuleInViolationError
This occurs when an internal Tesouro business rule is in violation.
String!
required
Advice on how to overcome the rule in the future.
DateTime!
required
deprecated
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.Deprecated: Use errorDateTime instead.
DateTime!
required
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.
String!
required
An explanation of why the rule exists.
String!
required
A human readable description of the error.
ProcessorResponseCode!
required
Tesouro response code indicating the error.See ProcessorResponseCode
UUID!
required
Unique ID for the transaction assigned by Tesouro.
Show SyntaxOnNetworkResponseError
Show SyntaxOnNetworkResponseError
DateTime!
required
deprecated
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.Deprecated: Use errorDateTime instead.
DateTime!
required
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.
String!
required
A human readable description of the error.
ProcessorResponseCode!
required
Tesouro response code indicating the error.See ProcessorResponseCode
UUID!
required
Unique ID for the transaction assigned by Tesouro.
Show TimeoutOnNetworkResponseError
Show TimeoutOnNetworkResponseError
DateTime!
required
deprecated
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.Deprecated: Use errorDateTime instead.
DateTime!
required
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.
String!
required
A human readable description of the error.
ProcessorResponseCode!
required
Tesouro response code indicating the error.See ProcessorResponseCode
UUID!
required
Unique ID for the transaction assigned by Tesouro.
Int!
required
The amount of time Tesouro waited for a response in milliseconds.
Show ValidationFailureError
Show ValidationFailureError
DateTime!
required
deprecated
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.Deprecated: Use errorDateTime instead.
DateTime!
required
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.
String!
required
The name of the graphql field in error.
String!
required
The path to the graphql field in error.
String!
required
A human readable description of the error.
ProcessorResponseCode!
required
Tesouro response code indicating the error.See ProcessorResponseCode
UUID!
required
Unique ID for the transaction assigned by Tesouro.
String!
required
The value of the graphql field in error.
Show UnknownCardError
Show UnknownCardError
DateTime!
required
deprecated
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.Deprecated: Use errorDateTime instead.
DateTime!
required
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.
String!
required
A human readable description of the error.
ProcessorResponseCode!
required
Tesouro response code indicating the error.See ProcessorResponseCode
UUID!
required
Unique ID for the transaction assigned by Tesouro.
Show TokenNotFoundError
Show TokenNotFoundError
DateTime!
required
deprecated
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.Deprecated: Use errorDateTime instead.
DateTime!
required
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.
String!
required
A human readable description of the error.
ProcessorResponseCode!
required
Tesouro response code indicating the error.See ProcessorResponseCode
UUID!
required
Unique ID for the transaction assigned by Tesouro.
Show InvalidTokenError
Show InvalidTokenError
Occurs when an acquirer token deTokenizes into a payment method that is not supportedby the current action.
DateTime!
required
deprecated
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.Deprecated: Use errorDateTime instead.
String!
required
The type of payment method behind the token.
DateTime!
required
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.
String!
required
String!
required
A human readable description of the error.
ProcessorResponseCode!
required
Tesouro response code indicating the error.See ProcessorResponseCode
UUID!
required
Unique ID for the transaction assigned by Tesouro.
Show RouteNotFoundError
Show RouteNotFoundError
Occurs when there is no boarded route with Tesouro to process the presented payment method.
[PaymentBrand!]!
required
The current list of payment brands Tesouro has routes to support.See PaymentBrand
DateTime!
required
deprecated
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.Deprecated: Use errorDateTime instead.
DateTime!
required
The date and time, in UTC, that the error occured. Formatted as 2024-03-27T02:40:00Z.
String!
required
A human readable description of the error.
PaymentBrand!
required
The assigned payment brand of the payment method presented for processing.See PaymentBrand
ProcessorResponseCode!
required
Tesouro response code indicating the error.See ProcessorResponseCode
UUID!
required
Unique ID for the transaction assigned by Tesouro.
VerifyAccountResponse
Show child attributes
Show child attributes
Date!
required
The date Tesouro received the transaction based on acceptor cutoff time
AddressVerificationResponse!
required
Address Verification Service (AVS) is a service provided by the payment brands that determines the match or partial match of the consumer’s address information.See AddressVerificationResponse
BusinessApplicationId
The business application identifier (BAI) is a value provided by Visa to identify the type of transfer that is being performed.See BusinessApplicationId
CardInformation
Details related to the card used on the transactionSee CardInformation
CardSecurityCodeResponseDetails!
required
The security code response from the network.See CardSecurityCodeResponseDetails
Int!
required
deprecated
Difference between request receipt and response in milliseconds.Deprecated: New durations coming soon.
Boolean!
required
Result of Tesouro’s idempotency check. If the transaction reference matches that of another transaction from that presenter it will be treated as a duplicate.
String!
required
A detailed description of the response code. e.g., Insufficient funds.
NameVerificationResponseDetails!
required
Name verification service result provided by the payment brand.See NameVerificationResponseDetails
NetworkResponseDetails!
required
The response code from the network.See NetworkResponseDetails
String
The transaction ID forwarded from the network response.
UUID!
required
A unique 36 character identifier created by Tesouro and assigned to a group of transactions in the same payment request cohort. e.g., An authorization request, incremental authorization request, and the final capture would have the same paymentID.
ProcessorResponseCode!
required
A normalized 4-character response code defined by Tesouro that represents the outcome of the payment transaction request.See ProcessorResponseCode
[SanitizedFieldOutput!]!
required
List of fields that were detected as invalid and sanitized by Tesouro to prevent the payment transaction request from failing.See SanitizedFieldOutput
String
The system trace audit number sent to the network.
DateTime!
required
The UTC date and time the transaction was received by Tesouro.
TokenDetails
Details associated with the token generated on a tokenization request.See TokenDetails
UUID!
required
A unique identifier created by Tesouro and assigned to the transaction.
mutation VerifyAccount($verifyAccountInput: VerifyAccountInput!) {
verifyAccount(verifyAccountInput: $verifyAccountInput) {
errors {
... on InternalServiceError {
dateTimeUtc
errorDateTime
message
processorResponseCode
transactionId
}
... on AcceptorNotFoundError {
dateTimeUtc
errorDateTime
message
organizationId
presenterId
}
... on RuleInViolationError {
advice
dateTimeUtc
errorDateTime
explanationOfRule
message
}
... on SyntaxOnNetworkResponseError {
attemptedNetwork
dateTimeUtc
errorDateTime
message
processorResponseCode
}
... on TimeoutOnNetworkResponseError {
attemptedNetwork
dateTimeUtc
errorDateTime
message
processorResponseCode
}
... on ValidationFailureError {
dateTimeUtc
errorDateTime
fieldName
fieldPath
message
}
... on UnknownCardError {
dateTimeUtc
errorDateTime
message
processorResponseCode
transactionId
}
... on TokenNotFoundError {
dateTimeUtc
errorDateTime
message
processorResponseCode
transactionId
}
... on InvalidTokenError {
dateTimeUtc
deTokenizedPaymentMethodType
errorDateTime
expectedPaymentMethodType
message
}
... on RouteNotFoundError {
boardedPaymentBrandsForAcceptor
dateTimeUtc
errorDateTime
message
paymentBrand
}
}
verifyAccountResponse {
activityDate
advice {
networkAdviceCode
}
avsResponseDetails {
avsResponseCode
networkCode
responseType
}
businessApplicationId
cardDetails {
last4
paymentBrand
}
cardSecurityCodeResponseDetails {
networkCode
processorCode
}
duration
isDuplicateRequest
message
nameVerificationResponseDetails {
processorCode
}
networkResponseDetails {
networkResponseCode
processorResponseCode
}
networkTransactionId
paymentId
processorResponseCode
sanitizedFields {
fieldName
fieldPath
originalValue
reason
sanitizedValue
}
systemTraceAuditNumber
timestampUtc
tokenDetails {
token
tokenizedPan
}
transactionId
}
}
}
{
"verifyAccountInput": {
"acceptorId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"channel": "ECOMMERCE",
"paymentMethodDetails": {
"acquirerTokenDetails": "example",
"cardWithPanDetails": "example",
"networkTokenPassThroughDetails": "example"
},
"transactionReference": "example"
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation VerifyAccount($verifyAccountInput: VerifyAccountInput!) {\n verifyAccount(verifyAccountInput: $verifyAccountInput) {\n errors {\n ... on InternalServiceError {\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n transactionId\n }\n ... on AcceptorNotFoundError {\n dateTimeUtc\n errorDateTime\n message\n organizationId\n presenterId\n }\n ... on RuleInViolationError {\n advice\n dateTimeUtc\n errorDateTime\n explanationOfRule\n message\n }\n ... on SyntaxOnNetworkResponseError {\n attemptedNetwork\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n }\n ... on TimeoutOnNetworkResponseError {\n attemptedNetwork\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n }\n ... on ValidationFailureError {\n dateTimeUtc\n errorDateTime\n fieldName\n fieldPath\n message\n }\n ... on UnknownCardError {\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n transactionId\n }\n ... on TokenNotFoundError {\n dateTimeUtc\n errorDateTime\n message\n processorResponseCode\n transactionId\n }\n ... on InvalidTokenError {\n dateTimeUtc\n deTokenizedPaymentMethodType\n errorDateTime\n expectedPaymentMethodType\n message\n }\n ... on RouteNotFoundError {\n boardedPaymentBrandsForAcceptor\n dateTimeUtc\n errorDateTime\n message\n paymentBrand\n }\n }\n verifyAccountResponse {\n activityDate\n advice {\n networkAdviceCode\n }\n avsResponseDetails {\n avsResponseCode\n networkCode\n responseType\n }\n businessApplicationId\n cardDetails {\n last4\n paymentBrand\n }\n cardSecurityCodeResponseDetails {\n networkCode\n processorCode\n }\n duration\n isDuplicateRequest\n message\n nameVerificationResponseDetails {\n processorCode\n }\n networkResponseDetails {\n networkResponseCode\n processorResponseCode\n }\n networkTransactionId\n paymentId\n processorResponseCode\n sanitizedFields {\n fieldName\n fieldPath\n originalValue\n reason\n sanitizedValue\n }\n systemTraceAuditNumber\n timestampUtc\n tokenDetails {\n token\n tokenizedPan\n }\n transactionId\n }\n }\n}",
"variables": {
"verifyAccountInput": {
"acceptorId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"channel": "ECOMMERCE",
"paymentMethodDetails": {
"acquirerTokenDetails": "example",
"cardWithPanDetails": "example",
"networkTokenPassThroughDetails": "example"
},
"transactionReference": "example"
}
}
}'
{
"data": {
"verifyAccount": {
"errors": [
{
"__typename": "InternalServiceError",
"dateTimeUtc": "2026-01-15T14:30:00Z",
"errorDateTime": "2026-01-15T14:30:00Z",
"message": "example",
"processorResponseCode": "A0000",
"transactionId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}
],
"verifyAccountResponse": {
"activityDate": "2026-01-15",
"advice": {
"networkAdviceCode": "example"
},
"avsResponseDetails": {
"avsResponseCode": "ADDRESS_MATCHED_POSTALCODE_MATCHED",
"networkCode": "example",
"responseType": "FULL_MATCH"
},
"businessApplicationId": "CB",
"cardDetails": {
"last4": "1234",
"paymentBrand": "VISA"
},
"cardSecurityCodeResponseDetails": {
"networkCode": "example",
"processorCode": "MATCH"
},
"duration": 0,
"isDuplicateRequest": true,
"message": "example",
"nameVerificationResponseDetails": {
"processorCode": "MATCH"
},
"networkResponseDetails": {
"networkResponseCode": "example",
"processorResponseCode": "A0000"
},
"networkTransactionId": "example",
"paymentId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"processorResponseCode": "A0000",
"sanitizedFields": [
{
"fieldName": "example",
"fieldPath": "example",
"originalValue": "example",
"reason": "example",
"sanitizedValue": "example"
}
],
"systemTraceAuditNumber": "example",
"timestampUtc": "2026-01-15T14:30:00Z",
"tokenDetails": {
"token": "example",
"tokenizedPan": "example"
},
"transactionId": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901"
}
}
}
}
Was this page helpful?